﻿body {
    margin: 0;
    font-family: Arial;
    font-size: 14px;
    line-height: 20px;
    overflow: hidden;
}

a {
    cursor: pointer;
}

img {
    vertical-align: middle;
}

textarea {
    width: 100%;
    color: black;
    font-family: Arial;
    height: 16px;
}

.selected {
    border: solid 1px green;
    box-shadow: 0px 0px 5px #666;
}

.unselected {
    border: solid 1px #ccc;
}

.expand {
    background-image: url(../Images/layer_switcher_minimize.gif);
}

.collapse {
    background-image: url(../Images/layer_switcher_maximize.gif);
}

.selectedDescription {
    display: block;
}

.unselectedDescription {
    display: none;
}


#map {
    position: absolute;
    width: 100%;
    height: 100%;
}

#leftPanel {
    display: block;
    width: 220px;
    height: 100%;
    position: absolute;
    z-index: 5002;
    background-color: #fff;
    box-shadow: 0px 0px 10px #333;
}

#leftPanelHeader {
    font-size: 14px;
    position: absolute;
    padding: 10px;
}

#leftPanelContent {
    padding: 35px 0px 5px 5px;
}

    #leftPanelContent ul {
        padding-left: 0px;
    }

#leftPanelOptions {
    list-style-type: none;
    margin: 0 10px 0 3px;
}

    #leftPanelOptions li {
        margin-top: 7px;
        cursor: pointer;
    }

    #leftPanelOptions div {
        height: 45px;
        overflow: hidden;
        background-repeat: no-repeat;
        opacity: 0.7;
        background-color: #ddd;
    }

    #leftPanelOptions span {
        background-color: #fff;
        color: #000;
        padding: 5px;
        font-size: 13px;
        opacity: 0.8;
    }


#descriptionExpandOrCollapseButton {
    position: absolute;
    width: 17px;
    height: 17px;
    right: 0px;
    cursor: pointer;
    z-index: 5002;
}

#descriptionPanel {
    display: block;
    position: absolute;
    width: 240px;
    right: 0px;
    background-color: #DDD;
    z-index: 5001;
    opacity: 0.85;
    box-shadow: 0px 0px 10px #333;
}

#descriptionPanelContent {
    margin: 10px 10px 10px 10px;
}


#proj4String {
    height: 70px;
}

#angle {
    width: 90px;
}

#leftRotation {
    background-color: #fff;
    background-image: url(../Images/leftRotation.png);
    margin-left: 20px;
    width: 32px;
    height: 32px;
    border: 0px;
}

#rightRotation {
    background-color: #fff;
    background-image: url(../Images/rightRotation.png);
    margin-left: 80px;
    width: 32px;
    height: 32px;
    border: 0px;
}


#webMercatorProjection {
    background-image: url(../Images/Mercator.png);
}

#decimalProjection {
    background-image: url(../Images/DecimalDegree.png);
}

#rotationProjection {
    background-image: url(../Images/RotationProjection.png);
}

#customProjection {
    background-image: url(../Images/CustomProjection.png);
}


@media only screen and (min-device-width:320px) and (max-device-width:739px) {
    #leftPanel {
        overflow-y: auto;
        left: -220px;
    }

    #leftPanelOptions div {
        height: 35px;
    }
}
